﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinEditors;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsApplication10
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("Name");
            dt.Columns.Add("InUse", typeof(bool));

            dt.Rows.Add("Apple", true);
            dt.Rows.Add("Banana", false);
            dt.Rows.Add("Cherry", true);
            dt.Rows.Add("Grape", false);
            dt.Rows.Add("Watermelon", true);

            dt.AcceptChanges();
            this.ultraCombo1.SetDataBinding(dt, null);
        }

        private void ultraCombo1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            UltraGridLayout layout = e.Layout;
            UltraGridOverride ov = layout.Override;
            UltraGridBand band = layout.Bands[0];

            band.ColHeadersVisible = false;
            band.Columns["InUse"].Hidden = true;

            Infragistics.Win.Appearance notInUseAppearnce = layout.Appearances.Add("NotInUse");
            notInUseAppearnce.FontData.Strikeout = DefaultableBoolean.True;

        }

        private void ultraCombo1_InitializeRow(object sender, Infragistics.Win.UltraWinGrid.InitializeRowEventArgs e)
        {
            UltraCombo combo = (UltraCombo)sender;
            Infragistics.Win.Appearance notInUseAppearnce = combo.DisplayLayout.Appearances["NotInUse"];
            if (false == (bool)e.Row.Cells["InUse"].Value)
            {
                e.Row.Cells["Name"].Appearance = notInUseAppearnce;
            }
        }

        private void ultraCombo1_ValueChanged(object sender, EventArgs e)
        {
            UltraCombo combo = (UltraCombo)sender;
            UltraGridCell cell = combo.SelectedRow.Cells["Name"];
            combo.Appearance = cell.Appearance;            
        }
    }
}
